Summary: mcrypt
Name: mcrypt
%define version 2.1.14
Version: %version
Release: 1
Copyright: GPL
Source: ftp://argeas.cs-net.gr/pub/unix/mcrypt/mcrypt-%{version}.tar.gz
Group: Utilities/File
Buildroot: /var/tmp/mcrypt-root

%description
A replacement for the old unix crypt(1) command. Mcrypt uses the following 
encryption (block) algorithms: BLOWFISH, DES, TripleDES, 3-WAY, SAFER-SK64, 
SAFER-SK128, CAST-128 TEA (extended), TWOFISH and GOST.  The unix crypt 
algorithm is also included, to allow compability with the crypt(1) command.  
CBC, ECB and CFB modes of encryption are supported.  A library which allows 
access to the above algorithms and modes is included.

Author: Nikos Mavroyanopoulos <nmav@i-net.paiko.gr>

%prep
%setup

%build
CFLAGS="${RPM_OPT_FLAGS}" ./configure --prefix=${RPM_BUILD_ROOT}/usr
make

%install
rm -rf ${RPM_BUILD_ROOT}
make install
ln -sf mcrypt ${RPM_BUILD_ROOT}/usr/bin/crypt
ln -sf mcrypt.1 ${RPM_BUILD_ROOT}/usr/man/man1/crypt.1

find $RPM_BUILD_ROOT ! -type d | sed "s^$RPM_BUILD_ROOT^^" > mcrypt-filelist

%files -f mcrypt-filelist
%defattr(-,root,root)
%doc [A-Z][A-Z]*

%clean
rm -rf ${RPM_BUILD_ROOT}

